# ``twisted`.`internet`.`interfaces`.`IUNIXDatagramConnectedTransport``

interface documentation

`class IUNIXDatagramConnectedTransport(Interface): (source)`

View In Hierarchy

Transport for UDP ConnectedPacketProtocols.

Method | `getHost` | Returns `UNIXAddress`.
Method | `getPeer` | Returns `UNIXAddress`.
Method | `write` | Write packet to address we are connected to.

def getHost(): (source)
Returns `UNIXAddress`.

Returns
`UNIXAddress` | Undocumented

def getPeer(): (source)
Returns `UNIXAddress`.

Returns
`UNIXAddress` | Undocumented

def write(packet): (source)
Write packet to address we are connected to.

Parameters
packet:`bytes` | Undocumented